Portal for ArcGIS 10.2.x system requirements

Visit Esri Support for information on earlier versions.

Table of Contents

Supported platforms

Hardware requirements

Software requirements

Supported browsers

Supported virtualization environments

Supported platforms (Windows)

Operating system

Minimum OS version

Maximum OS version

Windows Server 2012 R2 Standard and Datacenter*

Update: April 2014**

Windows Server 2012 Standard and Datacenter

Windows 2008 R2 Server Standard, Enterprise, and Datacenter

SP1

Windows 2008 Server Standard, Enterprise, and Datacenter

SP2

SP2

Windows 8.1 Pro and Enterprise*

Update: April 2014**

Windows 8 Pro and Enterprise

Windows 7 Ultimate, Enterprise, Professional

SP1

Windows Vista Ultimate, Enterprise, Business

SP2

SP2

*Windows 8.1 and Windows Server 2012 R2 support begins at ArcGIS 10.2.1.

**Windows 8.1 and Windows Server 2012 R2 Update: April 2014 support begins at ArcGIS 10.2.2.

Supported platforms (Linux)

Operating system

Minimum OS version

Maximum OS version

Red Hat Enterprise Linux Server 6

Red Hat Enterprise Linux Server 5

Update 7 + libX11 patch*

SUSE Linux Enterprise Server 11

SP1

Red Hat Enterprise Linux

  • The Linux patches from RHEL AS/ES will be supported as long as the patches are supported by the web servers and they are from Red Hat without any modification to the latest kernel/glibc version.
  • The following package groups are required:
    • For RHEL 6: from Desktop group
      • X Window System package group
    • For RHEL 5: from Base System group
      • X Window System package group

*Visit Red Hat Support for RHEL 5 Update 7 + libX11 patch information.

SUSE Linux 11 (64 bit only)

  • The Linux patches for SUSE Linux Enterprise Server will be supported as long as they are from SUSE Linux without any modification to the latest kernel/glibc version.
    • The following software packages are required:
      • From System/X11/Utilities package group
        • X Window System

Hardware requirements

Processor

4 cores for 100 concurrent users

Memory/RAM

4 GB or more

Disk space

50 GB or more

NoteNote:

These requirements are the minimum system requirements. Further assistance refining and scoping your hardware requirements for Portal for ArcGIS is available through an engagement with Esri Professional Services.

Software requirements

The ArcGIS Web Adaptor is a required component of Portal for ArcGIS which allows you to integrate your portal with your existing web server and your organization's security mechanisms. You cannot deploy Portal for ArcGIS in your organization without the Web Adaptor. Please see ArcGIS Web Adaptor system requirements for more information.

Supported browsers

Supported virtualization environments

All components of Portal for ArcGIS are fully supported on virtual environments as long as they run on supported platforms. See supported platforms above. When running third-party applications with Portal for ArcGIS, such as relational databases, the application must also be supported in a virtual environment. Check the third-party vendor for its virtualization support.

If an issue is found to be specific to Esri software in a virtual environment, Esri Support Services will attempt to reproduce the issue on a stand-alone machine. If an issue cannot be reproduced with any of the supported platforms above on a stand-alone machine, Esri will not provide a fix or further support for issues that are specific to virtual environments except when the issues are in the following VM environments:

6/24/2016